Bug 333361 - Inability to capture keystroke events with xev -id when using metacity
Inability to capture keystroke events with xev -id when using metacity
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-15 21:37 EDT by David Campbell
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-10-15 21:37:11 EDT
Description of problem:

I'm reporting this in case it is a bug and not something by design.

Running xwininfo and then passing the window id to xev using the -id option
results in no ability to capture KeyPress and KeyRelease events (for debugging
purposes), even after the window has received EnterNotify and FocusIn events.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run a gnome terminal window
2. Run xwininfo and click in the middle of the gnome-terminal window
3. Run xev -id and pass the window id that xwininfo displayed
4. Move the mouse cursor out of the window and click on the desktop
5. Move the mouse cursor into the window and click on the window, then click on
the title bar of the window
6.  Type keystrokes in the gnome terminal

Actual results:

You do not get KeyPress and KeyRelease events from xev.

Expected results:

KeyPress and KeyRelease events displayed from xev

Additional info:

This works fine with the compiz window manager
Comment 1 Bug Zapper 2008-05-14 10:45:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:40:27 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.